/* $Id: songs.c,v 1.1.1.1 2000/12/08 14:17:25 bergo Exp $ */

#include <stdio.h>
#include "../config.h"
#include "music.h"

/* song data */

#ifdef HAVE_SYS_SOUNDCARD_H

static int mtick=0;

void stage_music_reset() {
  mtick=0;
}


void stage_music_play(int stage) {
  int r;

  if (music_rest()>2)
    return;

  switch(stage) {


    /* STAGE 1 */

  case 1:
    mtick%=3;
    switch(mtick) {
    case 0:
      music_play_macro("T60/I27/V35/O4/C8/C8/G/G/C/O3/F/O4/D/F/O3/F",
		       "I1/V64/O4/C4/R4/C4/C4",
		       0);
      music_play_macro("T60/V64/I27/B/O4/G/G/O5/E/O3/B/O4/G/G/B",
		       "I14/V40/O5/B8/B4/B8/B4/B8/B4/B8/B8",
		       "I1/V64/O4/B4/R4/B8/B8/B4");

      break;
    case 1:
    case 2:
      music_play_macro("T60/V60/I27/F/O4/F/F/O5/F/O3/F/O4/C/C/C",
		       "I27/V64/O4/A/C/A/C/E/G/E/G",
		       "I21/V20/O4/F1/C1");
      music_play_macro("T60/V60/I27/G/O4/G/G/O5/E/O5/E/E/E/E",
		       "I27/V60/O4/B8/A8/B8/A8/B8/A8/G+8/B8/G+/B8/B8",
		       "I21/V20/O4/G1/E1");
      break;
    } /* switch mtick */
    break;



  } /* switch stage */

  ++mtick;
}

#endif
